=== debian/changelog ===
python-awkward (2.6.5-1) unstable; urgency=medium

  [ Athos Ribeiro ]
  * Team upload.
  * d/p/no-internet.patch: do not download from PyPI (Closes: #1072109)
  * d/rules: use system packages for nox runs
  * d/control:
    - add missing python3-yaml B-D
    - B-D on python-is-python3. This ensures nox will find the correct python3
      binary file for its unconfined run during the package build.

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jun 2024 16:07:33 +0200

python-awkward (2.6.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Initial release (Closes: #1064291)

 -- Sascha Steinbiss <satta@debian.org>  Mon, 19 Feb 2024 18:28:57 +0100
