=== debian/control ===
Source: python-awkward
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sascha Steinbiss <satta@debian.org>
Section: python
Priority: optional
Build-Depends: dh-sequence-python3,
               python3-setuptools,
               debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-hatchling,
               python3-hatch-fancy-pypi-readme,
               python3-all,
               python3-fsspec,
               python3-typing-extensions,
               python3-numpy,
               python3-pytest,
               python3-scikit-build-core,
               python3-pyproject-metadata,
               python3-yaml,
               python-is-python3,
               cmake,
               libpython3-all-dev,
               pybind11-dev,
               rapidjson-dev,
               nox
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/python-awkward
Vcs-Git: https://salsa.debian.org/med-team/python-awkward.git
Homepage: https://github.com/scikit-hep/awkward
Rules-Requires-Root: no

Package: python3-awkward
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Description: manipulate JSON-like data with NumPy-like idioms
 Awkward Array is a library for nested, variable-sized data, including
 arbitrary-length lists, records, mixed types, and missing data, using
 NumPy-like idioms.
 .
 Arrays are dynamically typed, but operations on them are compiled and fast.
 Their behavior coincides with NumPy when array dimensions are regular and
 generalizes when they're not.
