## python-awkward 2.8.9

=== awkward-cpp/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,11 @@
 # BSD 3-Clause License; see https://github.com/scikit-hep/awkward-1.0/blob/main/LICENSE
 
-cmake_minimum_required(VERSION 3.15...3.26)
+cmake_minimum_required(VERSION 3.15...3.30)
+
+if(NOT DEFINED SKBUILD)
+  set(SKBUILD_PROJECT_NAME awkward_cpp)
+  set(SKBUILD_PROJECT_VERSION 0.0.0)
+endif()
 
 # Project must be near the top
 project(
@@ -10,6 +15,14 @@
 
 message(STATUS "CMake version ${CMAKE_VERSION}")
 message(STATUS "CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}")
+
+if(CMAKE_CXX_COMPILER_ID MATCHES AppleClang AND CMAKE_CXX_COMPILER_VERSION VERSION_GREATER_EQUAL
+                                                15)
+  if(CMAKE_VERSION VERSION_LESS 3.29)
+    message(WARNING "CMake should be 3.29+ to support AppleClang 15+. Trying anyway.")
+  endif()
+  set(CMAKE_LINKER_TYPE APPLE_CLASSIC)
+endif()
 
 # Check for header-only libraries
 if(NOT (EXISTS "header-only" AND EXISTS "include/awkward/kernels.h"))
@@ -25,12 +38,12 @@
 endif()
 
 # Setup the RPATH for built libraries
-set(CMAKE_BUILD_RPATH_USE_ORIGIN TRUE)
 if(APPLE)
   set(CMAKE_INSTALL_RPATH "@loader_path")
 else()
   set(CMAKE_INSTALL_RPATH "\$ORIGIN")
 endif()
+set(CMAKE_BUILD_RPATH_USE_ORIGIN TRUE)
 
 # Three tiers: [cpu-kernels (extern "C" interface), cuda-kernels (extern "C" interface)],
 # libawkward (C++), and Python modules.
@@ -49,6 +62,18 @@
 # C++ dependencies (header-only): GrowableBuffer
 add_subdirectory(header-only EXCLUDE_FROM_ALL)
 target_link_libraries(awkward-parent INTERFACE awkward::growable-buffer)
+
+# WASM needs exceptions enabled
+if(CMAKE_SYSTEM_NAME MATCHES Emscripten)
+  set_property(
+    TARGET awkward-parent
+    APPEND
+    PROPERTY INTERFACE_LINK_OPTIONS -fexceptions)
+  set_property(
+    TARGET awkward-parent
+    APPEND
+    PROPERTY INTERFACE_COMPILE_OPTIONS -fexceptions)
+endif()
 
 # First tier: cpu-kernels
 add_library(awkward-cpu-kernels SHARED ${CPU_KERNEL_SOURCES})
@@ -97,6 +122,11 @@
              VISIBILITY_INLINES_HIDDEN ON
              CXX_EXTENSIONS NO)
 
+# This has to be passed explicitly to make Pyodide 0.28 happy
+if(CMAKE_SYSTEM_NAME MATCHES Emscripten)
+  target_link_options(_ext PRIVATE "-Wl,-rpath=\$ORIGIN")
+endif()
+
 # Install pure-python files
 file(GLOB_RECURSE PYTHON_SOURCES "src/${SKBUILD_PROJECT_NAME}/*.py")
