=== docs/requirements.txt ===
# JupyterLite (kernel requires specific pyodide version)
jupyterlite-pyodide-kernel==0.1.0
jupyterlite[piplite]==0.1.0
jupyterlite-sphinx==0.8.0

sphinx~=7.0
PyYAML
black
pycparser
lark-parser
sphinx-copybutton
sphinx-design
sphinx-sitemap
pydata-sphinx-theme
myst-nb~=1.0
myst-parser~=2.0
sphinx-external-toc
ipyleaflet

numpy
scipy
numba>=0.50.0;python_version<"3.11"
pandas>=0.24.0
numexpr
pyarrow>=7.0.0
fsspec
fsspec-xrootd
hist[plot]
particle
hepunits
vector
scikit-hep-testdata
s3fs
h5py
matplotlib
awkward
uproot
jax>=0.2.7;python_version>="3.6" and sys_platform != "win32"
jaxlib>=0.1.57;python_version>="3.6" and sys_platform != "win32"
