=== debian/changelog ===
python-awkward (2.8.9-1) unstable; urgency=medium

  * Package Adoption
  * Updated to version 2.8.9
  * Remove rapidjson license reference in pyproject.toml

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Mon, 29 Sep 2025 06:45:57 +0530
