=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-awkward
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Sascha Steinbiss <satta@debian.org>
+Uploaders: Aryan Karamtoth <spaciouscoder78@disroot.org>
 Section: python
 Priority: optional
 Build-Depends: dh-sequence-python3,
@@ -23,7 +23,7 @@
                pybind11-dev,
                rapidjson-dev,
                nox
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-awkward
 Vcs-Git: https://salsa.debian.org/med-team/python-awkward.git
 Homepage: https://github.com/scikit-hep/awkward
