=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR = debian/tmp_i_mean_it
export PYBUILD_TEST_ARGS=-v
export PY_IGNORE_IMPORTMISMATCH=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export NOX_DEFAULT_VENV_BACKEND=none

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean \
override_dh_auto_configure \
override_dh_auto_install: override_%:
	PYBUILD_NAME=awkward_cpp $* --buildsystem=pybuild --sourcedirectory=awkward-cpp
	PYBUILD_NAME=awkward $* --buildsystem=pybuild --sourcedirectory=.

override_dh_auto_build:
	nox -s prepare --no-venv
	PYBUILD_NAME=awkward_cpp dh_auto_build --sourcedirectory=awkward-cpp --buildsystem=pybuild
	PYBUILD_NAME=awkward dh_auto_build --sourcedirectory=. --buildsystem=pybuild

override_dh_install:
	dh_install --sourcedir=debian/tmp_i_mean_it

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_auto_test:
	# pass
