=== debian/tests/control ===
Tests: python-test 
Depends: python3-awkward, python3-numpy
Restrictions: allow-stderr, skip-not-installable
