## python-awkward 2.8.10

=== debian/changelog ===
python-awkward (2.8.10-2) unstable; urgency=medium

  * Team upload.
  * Fix clean target.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sat, 07 Feb 2026 11:50:00 +0100

python-awkward (2.8.10-1) unstable; urgency=medium

  * Updated to version 2.8.10

 -- Aryan Karamtoth <spaciouscoder78@disroot.org>  Sat, 15 Nov 2025 08:45:57 +0530
