=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Aryan Karamtoth <spaciouscoder78@disroot.org>
 Section: python
-Priority: optional
 Build-Depends: dh-sequence-python3,
                python3-setuptools,
                debhelper-compat (= 13),
@@ -23,11 +22,10 @@
                pybind11-dev,
                rapidjson-dev,
                nox
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/python-awkward
 Vcs-Git: https://salsa.debian.org/med-team/python-awkward.git
 Homepage: https://github.com/scikit-hep/awkward
-Rules-Requires-Root: no
 
 Package: python3-awkward
 Architecture: any
