## python-awkward 2.9.0

=== debian/changelog ===
python-awkward (2.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.9.0
  * Refresh patches
  * This needs a new version of "nox" >= 2025.2.9

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Feb 2026 16:55:36 +0100
