=== debian/control ===
Source: python-awkward
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Aryan Karamtoth <spaciouscoder78@disroot.org>,
Section: python
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 cmake,
 libpython3-all-dev,
 nox (>= 2025.2.09~),
 pybind11-dev,
 pybuild-plugin-pyproject,
 python-is-python3,
 python3-all,
 python3-fsspec,
 python3-hatch-fancy-pypi-readme,
 python3-hatchling,
 python3-numpy,
 python3-pyproject-metadata,
 python3-pytest,
 python3-scikit-build-core,
 python3-setuptools,
 python3-typing-extensions,
 python3-yaml,
 rapidjson-dev,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/med-team/python-awkward
Vcs-Git: https://salsa.debian.org/med-team/python-awkward.git
Homepage: https://github.com/scikit-hep/awkward

Package: python3-awkward
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: manipulate JSON-like data with NumPy-like idioms
 Awkward Array is a library for nested, variable-sized data, including
 arbitrary-length lists, records, mixed types, and missing data, using
 NumPy-like idioms.
 .
 Arrays are dynamically typed, but operations on them are compiled and fast.
 Their behavior coincides with NumPy when array dimensions are regular and
 generalizes when they're not.
